D4Science Infrastructure - Task #10729

Broken disk on dlib33x.dom0.research-infrastructures.eu
Dec 18, 2017 09:29 AM - Andrea Dell'’Amico

Status: Closed Start date: Dec 18, 2017
Priority: Urgent Due date:
Assignee: Tommaso Piccioli % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: No Sprint
Infrastructure: Development, Pre-Production,

Production
Description

From the nagios check:

CRITICAL: mdstat:[md3(931.39 GiB raidl) :F:sdgl:_U, md2(931.39 GiB raidl) :UU, mdl(931.15 GiB raidl)
:UU, mdO0(242.81 MiB raidl) :UU]

History

#1 - Dec 18, 2017 09:40 AM - Tommaso Piccioli
- Status changed from New to In Progress

- % Done changed from 0 to 50
From the dmesg:
[Mon Dec 18 01:57:03 2017] sd 0:0:6:0: [sdg] Device not ready

[Mon Dec 18 01:57:03 2017] md/raid1:md3: Disk failure on sdg1, disabling device.

[Mon Dec 18 01:58:23 2017] sd 0:0:6:0: Attached scsi generic sg6 type 0
[Mon Dec 18 01:58:23 2017] sd 0:0:6:0: [sdi] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)

ﬁ\-llon Dec 18 01:58:23 2017] sdi: sdit
The disk disappeared to the OS for a minute and appeared again as new.
| added a different disk to the raid (sdf1) that is in recovery/resync now, in the meantime | will check the old sdg (now sdi).
#2 - Dec 18, 2017 11:32 AM - Tommaso Piccioli
From the idrac log:
2017-12-18T01:55:05-0600 PDR3

Disk 6 in Backplane 1 of Integrated RAID Controller 1 is not functioning correctly.
2017-12-18T01:55:05-0600 PDR87

Disk 6 in Backplane 1 of Integrated RAID Controller 1 was reset.
2017-12-18T01:55:05-0600 PDR5

Disk 6 in Backplane 1 of Integrated RAID Controller 1 is removed.
2017-12-18T01:55:40-0600 PDR8

Disk 6 in Backplane 1 of Integrated RAID Controller 1 is inserted.

Still checking the Disk 6 from the OS.

#3 - Dec 18,2017 01:37 PM - Andrea Dell'Amico

That's worrisome, the omsa tools should have reported them to nagios. Or maybe the problem lasted too little time to be reported?

#4 - Dec 18,2017 04:21 PM - Tommaso Piccioli
resync done, the disk sdi seems to be OK (2/3 tested)
#5 - Dec 18, 2017 04:22 PM - Tommaso Piccioli
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
